Subject: [bug#45889] Nextcloud Desktop (v4)

From: Raghav Gururajan <[email-masked]>
Date: Sat, 16 Jan 2021 09:42:10 -0500

Hi Nicolò!

> Why is it placed inside a new module?  It should fit nicely in sync.scm

Nextcloud is a big project. There will be other packages like server, 
plugins etc., which can then be added to this module. Concept is similar 
to linphone.scm.

> .git shouldn't be needed

Updated in v5.

> This hash is wrong, I get 022k7b3c30dymrjc1g3ly2cac1c34gkqnvjya6p7w2j3qw2w1dm2

Updated in v5.

> Something along the line of:
> 
> (let ((preserved-3rdparty-files
>                  '("QProgressIndicator" "qtlockedfile" "qtokenizer"
>                    "qtsingleapplication" "kmessagewidget")))
>             (with-directory-excursion "src/3rdparty"
>               (for-each
>                (lambda (directory)
>                  (simple-format #t "deleting: ~A\n" directory)
>                  (delete-file-recursively directory))
>                (lset-difference string=?
>                                 (scandir ".")
>                                 (cons* "." ".." preserved-3rdparty-files))))
>             #t)

The snippet didn't work, but I added comments in v5.

> This line is too long, you can use something like
> ("PKGCONFIG_GETVAR\\(.*") instead.

If I use this, it causes parsing error.

> Other long line, maybe string-append.

Ah, I have been advised before not to break lines like this via 
string-append.

> Why?

Added comments in v5.

> It's missing a comment on why this is needed (like qttest tries to create
> $HOME/.qttest/config/autostart/)
>> +    (license license:gpl2+)))

Added comments in v5.

> Unbundled dependencies have different licenses
> QprogressIndicator is under expat while others lgpl2.1+ if I'm not wrong

Updated in v5.

> Also, I tried removing ruby and python-sphinx from the dependencies and
> it did build fine, so be sure all of them are needed (or are they used
> for some optional feature?).

Ruby is for patch-shebangs phase. Sphinx was looked for during configure 
phase, but doesn't seem to do anything, so I removed it in v5.

Thanks so much for the review. :-)

Regards,
RG.